Summary: Kyua - Scriptable interfaces to interact with test programs
Name: kyua-testers
Version: 0.1
Release: 1%{?dist}
License: BSD
Group: Development/Tools
URL: http://code.google.com/p/kyua/
Source0: http://kyua.googlecode.com/files/%{name}-%{version}.tar.gz
Source1: README.Fedora
BuildRequires: kyua-cli >= 0.5
BuildRequires: libatf-c-devel%{?_isa} >= 0.17

%define _testsdir %{_libexecdir}/kyua-testers/tests

%description
Kyua (pronounced Q.A.) is a testing framework for both developers and
users.  Kyua is different from most other testing frameworks in that it
puts the end user experience before anything else.  There are multiple
reasons for users to run the tests themselves, and Kyua ensures that
they can do so in the most convenient way.

This module, kyua-testers, provides scriptable interfaces to interact
with test programs of various kinds.  The interface of such testers
allows the caller to execute a single test case of a single test program
in a controlled and homogeneous manner.

%prep
%setup -q

# Put the README.Fedora file in the top-level directory of the source tree so
# that the doc macro call below can pick it up.
cp -p %{SOURCE1} README.Fedora

%build
%configure INSTALL="/usr/bin/install -p"
make %{?_smp_mflags} pkgtestsdir=%{_testsdir} testsdir=%{_testsdir}

%check
# The check stage runs the tests using Kyua itself and Kyua accesses the home
# directory to store logs and the database.  Override HOME to a known value to
# ensure these files get discarded.
HOME=$(pwd)/check make check pkgtestsdir=%{_testsdir} testsdir=%{_testsdir}

%install
make install DESTDIR=%{buildroot} doc_DATA= \
             pkgtestsdir=%{_testsdir} testsdir=%{_testsdir}

%files
%doc AUTHORS COPYING NEWS README
%{_libexecdir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man7/*

%package devel
Summary: Development files for the Kyua testers package
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
This package installs the development files for the Kyua testers package.

%files devel
%{_libdir}/pkgconfig/*

%package tests
Summary: Run-time tests of the Kyua testers
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: libatf-c%{?_isa} >= 0.17

%description tests
This package installs the run-time tests for the Kyua testers.  Please see the
README.Fedora file in the documentation directory for further details on how to
run the installed tests.

%files tests
%doc README.Fedora
%{_testsdir}

%changelog
* Mon Feb 19 2013 Julio Merino <julio@meroh.net> 0.1-1
- Initial version of the package.
